Bug 1418659 - [RFE] Add fluentd configuration for parsing engine.log
Summary: [RFE] Add fluentd configuration for parsing engine.log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-metrics
Classification: oVirt
Component: RFEs
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.1.3
: 1.0.4.2
Assignee: Shirly Radco
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks: oVirt-Metrics-and-Logs 1456459
TreeView+ depends on / blocked
 
Reported: 2017-02-02 12:39 UTC by Shirly Radco
Modified: 2017-11-02 01:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, engine.log has been added to the logs collection. The records are now parsed and sent to the central metrics store. This allows the administrator to analyse the logs in a more simple and comfortable way. This means that the engine.log records are available for analysis in Kibana.
Clone Of:
Environment:
Last Closed: 2017-07-06 13:11:34 UTC
oVirt Team: Metrics
rule-engine: ovirt-4.1+
ylavi: planning_ack+
sradco: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 75358 0 master MERGED fluentd:added engine.log to the fluentd configuration 2020-03-20 17:48:56 UTC

Description Shirly Radco 2017-02-02 12:39:00 UTC
Description of problem:
We would like to be able to have log analytics.
For that we need to create the fluentd.con that will parse the logs and send them to the metrics store.

Comment 1 Shirly Radco 2017-04-06 12:24:48 UTC
This bug also includes deploying the new logs config on the engine machine.

Comment 2 Lukas Svaty 2017-06-20 13:21:35 UTC
[root@ls-engine1 ~]# ls /etc/fluentd/config.d/20-ovirt-engine-logs-processing.conf 
/etc/fluentd/config.d/20-ovirt-engine-logs-processing.conf

logs in kibana available under tag:
    project.ovirt-logs-engine


Note You need to log in before you can comment on or make changes to this bug.